{% extends 'base.html.twig' %}

{% block title %}Notre Carte{% endblock %}

{% block body %}
            <div class="top-card">
                <div class="actualisation">
                    <p>Votre restaurant est actuellement:
                    <div id="etat">
                    </div>
                </div>
            </div>
            <h2 class="title-card">à la Carte</h2>

    <table class="table">
        <thead>
            <tr>
                {# <th>Id</th> #}
                <th>Image</th>
                <th>Nom</th>
                <th>Description</th>
                <th>Prix</th>
                <th>Actions</th>
                <th>Disponibilité</th>
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                {# <td>{{ product.id }}</td> #}
                <td class="burger">
                    <img src= {{ asset ('uploads/' ~ product.image)}} width="100%" />
                </td>
                <td>{{ product.name }}</td>
                <td>{{ product.description }}</td>
                <td>{{ product.price }}€</td>
                
                <td>
                    <a href="{{ path('app_products_show', {'id': product.id}) }}">Voir</a>
                {% if is_granted("ROLE_ADMIN") %}
                    <a href="{{ path('app_products_edit', {'id': product.id}) }}">Editer</a>
                </td>
                {% endif %}
                <td>
                {% if product.dispo  %} 
                    <span><i class="fas fa-check-circle fa-3x" style="color:#0fb115"></i></span>
                {% else %}
                     <span><i class="fas fa-times-circle fa-3x" style="color:#e74c3c"></i></span>
                {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">Aucun(s) Produit(s)</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if is_granted("ROLE_ADMIN") %}
    <a href="{{ path('app_products_new') }}">Créer Nouveau Produit</a>
    {% endif %}
    <div class="container-num">
                <div class="numero">
                    <a href="tel:0123456789"><i class="fas fa-phone"></i>     01-23-45-67-89</a>
                </div>
            </div>
{% endblock %}
